More Recent Flash Player Required

This application requires the Adobe Flash Player. All Apple and Android devices will not work with Adobe Flash. Most web browsers, including Google Chrome and Mozilla Firefox, will not work as well.

You need to use Microsoft Internet Explorer 11 or Microsoft Edge from a Windows computer.

If you cannot register online, please contact Noncredit Registration & Student Records at 610-799-1197 or ncregistrar@mymail.lccc.edu. For more information, please see LCCC Noncredit Registration Information.

 

You may try to download a more recent version of the Adobe Flash Player, if your web brower can use it. Click the image below to get the most recent version of Adobe Flash Player.
Get Adobe Flash player

Return to Banner Flexible Registration